PROMETHEUS-NGINX-VTS-EXPORTER(1)

NAME
prometheus-nginx-vts-exporter - Prometheus metrics exporter for the Nginx VTS module

SYNOPSIS
prometheus-nginx-vts-exporter [OPTIONS]...

DESCRIPTION
Simple server that scrapes Nginx VTS module in its JSON endpoint and exports its statistics as metrics consumable by Prometheus.

OPTIONS

-insecure

    Ignore server certificate if using https (default true).

-metrics.namespace string

    Prometheus metrics namespace. (default "nginx")

-nginx.scrape_timeout int

    The number of seconds to wait for an HTTP response from the nginx.scrape_uri (default 2)

-nginx.scrape_uri string

    URI to nginx stub status page (default "http://localhost/status")

-telemetry.address string

    Address on which to expose metrics. (default ":9913")

-telemetry.endpoint string

    Path under which to expose metrics. (default "/metrics")

-version

    Print version information.

ENVIRONMENT

NGINX_STATUS
    Nginx JSON format status page. Default: http://localhost/status/format/json

METRICS_ENDPOINT
    Metrics endpoint exportation URI. Default: /metrics

METRICS_ADDR
    Metrics exportation address:port. Default: :9913

METRICS_NS
    Prometheus metrics Namespaces. Default: nginx